/*
 *                      ..::PictoGame::..
 *
 * Copyright (C) Federico Vera 2010-2011 <dktcoding [at] gmail>
 *
 * PictoGame is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or any later
 * version.
 *
 * PictoGame is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package picto.app.interfaces;

/**
 *
 * @author Fido <dktcoding [at] gmail>
 */
public interface Updatable extends Status{
    /**
     * Gets the status of the current button
     *
     * @return status of the button
     * @see picto.app.interfaces.Status
     */
    public byte getStatus();

    /**
     * Sets the status of the current button
     *
     * @param stat new status of the button
     * @see picto.app.interfaces.Status
     */
    public void setStatus(byte stat);

    /**
     * Return the button to it's original status
     *
     * @see picto.app.interfaces.Status
     */
    public void reset();

    /**
     * Updates the button, that is, repaints the cell,
     * 
     * @see picto.app.interfaces.Status
     */
    public void update();
}
