/*
 *                      ..::PictoGame::..
 *
 * Copyright (C) Federico Vera 2010-2011 <dktcoding [at] gmail>
 *
 * PictoGame is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or any later
 * version.
 *
 * PictoGame is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package picto.utils;

import javax.swing.JButton;
import picto.app.interfaces.Updatable;

/**
 *
 * @author Fido <dktcoding [at] gmail>
 */
public class DoNothingButton extends JButton implements Updatable{
    private static final long serialVersionUID = -9568768565789601L;

    public DoNothingButton(){
        setFont(null);
        setEnabled(false);
        setFocusable(false);
        setContentAreaFilled(false);
    }

    @Override public byte getStatus(){
        return -1;
    }

    @Override public void setStatus(byte stat) {
        //Do nothing
    }

    @Override public void update() {
        //Do nothing
    }

    @Override public void reset() {
        //Do nothing
    }
}
